#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

my $Original_File = 'root/usr/lib/perl5/site_perl/esmith/ConfigDB/Record.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 52 root/usr/lib/perl5/site_perl/esmith/ConfigDB/Record.pm

use esmith::ConfigDB;
$Scratch_Conf = '10e-smith-lib/scratch.conf';
unlink $Scratch_Conf;
$c = esmith::ConfigDB->create($Scratch_Conf);
END { unlink $Scratch_Conf }

{
    my $warning = '';
    local $SIG{__WARN__} = sub { $warning = join '', @_ };

    my $wib = $c->new_record('wibble', { type => 'yar' });
    $wib->set_value('foo');
    is( $wib->value, 'foo',  'value/set_value' );
    is( $warning, '',        '  no warning' );

    $wib->set_prop(bar => 42);
    is( $wib->value, 'foo' );
    like( $warning, qr/value\(\) should not be used on records with properties, use prop\(\)/, 'value() warns if the record has props');

    $wib->set_value(92);
    like( $warning, qr/set_value\(\) should not be used on records with properties, use set_prop\(\)/, 'value() warns if the record has props');
    is( $wib->value, 92 );
}



    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

